#
# spec file for package iso_ent (Version 1.0)
# 
# Copyright  (c)  1998  S.u.S.E. GmbH  Fuerth, Germany.
#
# please send bugfixes or comments to feedback@suse.de.
#

%define INSTALL install -m755 -s
%define INSTALL_DIR install -d -m755
%define INSTALL_DATA install -m644
Vendor:       S.u.S.E. GmbH, Fuerth, Germany
Distribution: S.u.S.E. Linux 5.3 (i386)
Name:         iso_ent
Release:      5
Copyright:    ISO
Group: 
Provides:     iso-ent iso-entities 
Requires: 
Conflicts:    
Autoreqprov:  on
Packager:     feedback@suse.de

Version:      1.0
Summary:      Character Entity Sets fr ISO 1986:8879 (SGML)
BuildRoot: /var/tmp/pkg
Source: iso-ent-1.0.tar.gz
#Patch: 
%description
Character Entity Sets fr ISO 1986:8879 (SGML)
Group:

%prep
%setup -n iso-ent-$RPM_PACKAGE_VERSION
# %patch
%build
%install
root=$RPM_BUILD_ROOT
sgml_dir=${root}/usr/share/sgml
sgml_dir_config=${root}/var/lib/sgml
sgml_dir_iso=${sgml_dir}/iso-ent
sgml_dir_ISO=${sgml_dir}/ISO_8879:1986/entities
%{INSTALL_DIR} ${sgml_dir_config}
%{INSTALL_DIR} ${sgml_dir}/iso-ent
%{INSTALL_DIR} ${sgml_dir}/{ISO_8879:1986,ISO_9573-15:1993}/entities
%{INSTALL_DATA} ISO* ${sgml_dir}/iso-ent
%{INSTALL_DATA} CATALOG ${sgml_dir_config}/CATALOG.iso_ent
(cd $sgml_dir && ln -sf ../../../var/lib/sgml/CATALOG.iso_ent CATALOG.iso_ent)
(cd ${sgml_dir} \
    && rm -f ISO_8879-1986 \
    && ln -s ISO_8879:1986 ISO_8879-1986 )
(cd ${sgml_dir}/ISO_8879:1986/entities \
    && rm -f * 2>/dev/null \
    && ln -s ../../iso-ent/ISOamsa Added_Math_Symbols:_Arrow_Relations \
    && ln -s ../../iso-ent/ISOamsb Added_Math_Symbols:_Binary_Operators \
    && ln -s ../../iso-ent/ISOamsc Added_Math_Symbols:_Delimiters \
    && ln -s ../../iso-ent/ISOamsn Added_Math_Symbols:_Negated_Relations \
    && ln -s ../../iso-ent/ISOamso Added_Math_Symbols:_Ordinary \
    && ln -s ../../iso-ent/ISOamsr Added_Math_Symbols:_Relations \
    && ln -s ../../iso-ent/ISObox Box_and_Line_Drawing \
    && ln -s ../../iso-ent/ISOcyr1 Russian_Cyrillic \
    && ln -s ../../iso-ent/ISOcyr2 Non-Russian_Cyrillic \
    && ln -s ../../iso-ent/ISOdia Diacritical_Marks \
    && ln -s ../../iso-ent/ISOgrk1 Greek_Letters \
    && ln -s ../../iso-ent/ISOgrk2 Monotoniko_Greek \
    && ln -s ../../iso-ent/ISOgrk3 Greek_Symbols \
    && ln -s ../../iso-ent/ISOgrk4 Alternative_Greek_Symbols \
    && ln -s ../../iso-ent/ISOLat1 Added_Latin_1 \
    && ln -s ../../iso-ent/ISOLat2 Added_Latin_2 \
    && ln -s ../../iso-ent/ISOnum Numeric_and_Special_Graphic \
    && ln -s ../../iso-ent/ISOpub Publishing \
    && ln -s ../../iso-ent/ISOtech General_Technical )
(cd ${sgml_dir} \
    && rm -f ISO_9573-15-1993 \
    && ln -s ISO_9573-15:1993 ISO_9573-15-1993 )
(cd ${sgml_dir}/ISO_9573-15:1993/entities \
    && rm -f * 2>/dev/null \
    && ln -s ../../iso-ent/ISOgrk5 Extra_Classical_Greek_Letters )
%clean
rm -fr $RPM_BUILD_ROOT
%files
%doc README.SuSE
%config /var/lib/sgml/CATALOG.iso_ent
/usr/share/sgml/CATALOG.iso_ent
/usr/share/sgml/iso-ent
%dir /usr/share/sgml
/usr/share/sgml/ISO_8879-1986
/usr/share/sgml/ISO_8879:1986
/usr/share/sgml/ISO_9573-15:1993
/usr/share/sgml/ISO_9573-15-1993

